# Query trigger audit log entries

Queries the trigger audit log for entries that match the specified filter and paging parameters. The maximum allowed value for the `take` parameter is 100.

Endpoint: GET /api/audit/trigger/query/{entityId}
Version: v1.0
Security: OAuth2

## Security:

  - `OAuth2` (unknown)
    oauth2

## Path parameters:

  - `entityId` (integer)
    The identifier of the entity to filter audit records.

## Query parameters:

  - `ExecutionType` (string)
    The execution type to filter trigger logs.

  - `Objective` (string)
    The objective of the auditing trigger to filter logs.

  - `AssociatedId` (integer)
    The associated entity ID to filter trigger logs.

  - `ActivatedForEvent` (boolean)
    Whether the trigger was activated for the event.

  - `Id` (string)
    The unique identifier of the audit entry.

  - `EventType` (string)
    The type of event to filter audit entries.

  - `Severity` (string)
    The severity level to filter audit entries.

  - `TargetId` (integer)
    The target entity identifier related to the audit entry.

  - `TargetIdentifier` (string)
    The string identifier of the target entity.

  - `Timestamp` (string)
    The timestamp to filter audit entries.

  - `UserId` (integer)
    The user identifier associated with the audit entry.

  - `ScrollId` (string)
    The ID of the scroll session to get the next results for.

  - `ScrollTime` (string)
    The time to keep the scroll session active.

  - `FullText` (string)
    The full-text search term to filter audit records.

  - `Raw` (string)
    The raw query string for advanced filtering.

  - `EntityId` (integer)
    The identifier of the entity to filter audit records.

  - `From` (string)
    The start date of the range filter.

  - `To` (string)
    The end date of the range filter.

  - `Skip` (integer)
    The number of items to skip for pagination. Null if negative.

  - `Take` (integer)
    The number of items to take for pagination. Null if negative.

  - `Sort` (string)
    The field name to sort by.

  - `Order` (string)
    The sort order (ascending or descending).

  - `Ascending` (boolean)
    Whether the sort order is ascending.

  - `Range.Begin` (string)

  - `Range.End` (string)

## Response 200:

  - `200` (unknown)
    Successful operation

## Response 200 fields (application/json):

  - `items` (array)
    Gets or sets the list of items.

  - `items.execution_type` (string)
    Specifies the type of execution for an action.
    Enum: "OutOfProcess", "InProcess"

  - `items.objective` (string)
    Collection of all available objectives for M triggers for auditing purposes
    Enum: "EntityDefinitionCreation", "EntityDefinitionModification", "EntityDefinitionDeletion", "EntityCreation", "EntityModification", "EntityDeletion"

  - `items.objective_description` (string)

  - `items.activated` (boolean)

  - `items.probing_time` (number)

  - `items.io_time` (number)

  - `items.io_time_shared_among_triggers` (integer)

  - `items.id` (string)

  - `items.audit_type` (string)
    Represents the type of audit event. IMPORTANT: Do not change the number of existing entries or their order because this will break compatibility with older versions.
    Enum: "Trigger", "Action", "Scripting", "Business", "Raw", "Edge", "PublicLink", "RawOperational", "DataPackageExport", "DataPackageImport"

  - `items.event_type` (string)
    Represents the type of audit event. IMPORTANT: Do not change the number of existing entries because this will break compatibility with older versions.
    Enum: "Created", "Updated", "Deleted", "Enabled", "Disabled", "Executed", "PackageExported", "PackageImported"

  - `items.severity` (string)
    Represents the severity level for audit events. IMPORTANT: Do not change the number of existing entries. Doing so will break compatibility with older versions.
    Enum: "Debug", "Warning", "Info", "Error", "Fatal"

  - `items.target_definition` (string)

  - `items.target_id` (integer)

  - `items.target_identifier` (string)

  - `items.timestamp` (string)

  - `items.user_id` (integer)

  - `items.self` (object)
    Represents a link to a resource.

  - `items.self.href` (string)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.self.filename_properties` (array)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.self.title` (string)
    Gets or sets the title that describes this link.

  - `items.self.templated` (boolean)
    Gets or sets a value indicating whether the contained URI is a template.

  - `total_items` (integer)
    Gets or sets the total number of items.

  - `returned_items` (integer)
    Gets or sets the number of returned items.

  - `offset` (integer)
    Gets or sets the offset of the items.

  - `identifier` (string)
    Gets or sets the identifier of the resource.

## Response 400:

  - `400` (unknown)
    Invalid request or maximum allowed value exceeded

## Response 401:

  - `401` (unknown)
    Unauthorized request

